Subject: linux-next: manual merge of the wireless-next tree with the wireless tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 28 Oct 2024 12:36:21 +1100

Hi all,

Today's linux-next merge of the wireless-next tree got a conflict in:

  drivers/net/wireless/intel/iwlwifi/mvm/mld-mac80211.c

between commit:

  cbe84e9ad5e2 ("wifi: iwlwifi: mvm: really send iwl_txpower_constraints_cmd")

from the wireless tree and commit:

  188a1bf89432 ("wifi: mac80211: re-order assigning channel in activate links")

from the wireless-next tree.

I fixed it up (the latter removed some code that the former moved some
other cde around - so I effectively just used the latter) and can carry
the fix as necessary. This is now fixed as far as linux-next is
concerned, but any non trivial conflicts should be mentioned to your
upstream maintainer when your tree is submitted for merging.  You may
also want to consider cooperating with the maintainer of the
conflicting tree to minimise any particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell